import { objectWithoutPropertiesLoose as _objectWithoutPropertiesLoose, extends as _extends } from '../_virtual/next-intl.esm.js';
import Link from 'next/link';
import React, { forwardRef } from 'react';

var _excluded = ["href"];
function createLocalizedLinkComponent(useLocale) {
  /**
   * Wraps `next/link` and prefixes the `href` with the current locale.
   */
  function LocalizedLink(_ref, ref) {
    var href = _ref.href,
        rest = _objectWithoutPropertiesLoose(_ref, _excluded);

    var locale = useLocale();
    var localizedHref = '/' + locale + href;
    return React.createElement(Link, _extends({
      ref: ref,
      href: localizedHref
    }, rest));
  }

  return forwardRef(LocalizedLink);
}

export { createLocalizedLinkComponent as default };
//# sourceMappingURL=next-intl.esm.js.map
